# FoundationClasses
TKernel
MMgt

# MMgt_StackManager Class Reference

The class <stackmanager> provides primitive facilities for managing
stack-based storage.
.

`#include <MMgt_StackManager.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MMgt_StackManager ()
| Constructs a StackManager with an empty free stack. .
Standard_EXPORT Standard_Address | Allocate (const Standard_Integer size)
| Returns the address of a storage of the given size located on the top of the free stack. .
Standard_EXPORT void | Free (Standard_Address &aStack, const Standard_Integer aSize)
| Deallocates the storage of the given size from the free stack and nullify the address. .
Standard_EXPORT MMgt_StackManager | ShallowCopy () const
| There is no way to have a "ShallowCopy" of a "StackManager" .
Standard_EXPORT void | ShallowDump (Standard_OStream &S) const
| Prints the contents of <me> on the stream <s>. .
Standard_EXPORT void | Destructor ()
| Deallocates the storage associated to stack. Delete <me>. .
| ~MMgt_StackManager ()

## Private Member Functions

Standard_EXPORT void | Purge ()
| Deallocates the storage associated to stack. .

## Private Attributes

Standard_Integer | myFreeListSize
Standard_Address | myFreeList

## Constructor & Destructor Documentation

Standard_EXPORT MMgt_StackManager::MMgt_StackManager | ( |  | ) |

MMgt_StackManager::~MMgt_StackManager | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT Standard_Address MMgt_StackManager::Allocate | ( | const Standard_Integer | size | ) |

Standard_EXPORT void MMgt_StackManager::Destructor | ( |  | ) |

Standard_EXPORT void MMgt_StackManager::Free | ( | Standard_Address & | aStack,
|  | const Standard_Integer | aSize
| ) |

void MMgt_StackManager::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MMgt_StackManager::operator new | ( | size_t | size | ) | `[inline]`

void* MMgt_StackManager::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void MMgt_StackManager::Purge | ( |  | ) | `[private]`

Standard_EXPORT MMgt_StackManager MMgt_StackManager::ShallowCopy | ( |  | ) | const

Standard_EXPORT void MMgt_StackManager::ShallowDump | ( | Standard_OStream & | S | ) | const

## Field Documentation

Standard_Address MMgt_StackManager::myFreeList `[private]`

Standard_Integer MMgt_StackManager::myFreeListSize `[private]`

The documentation for this class was generated from the following file:

- MMgt_StackManager.hxx